Subject: [Isis-wg] WG LC on MPLS doc

From: David Ward <[email-masked]>
Date: Fri, 2 May 2008 11:04:11 -0500

All -
	Many apologies for getting this draft to you late for review but, it  
is in IETF LC:

http://tools.ietf.org/html/draft-ietf-mpls-number-0-bw-te-lsps-09

They authors, MPLS WG chairs and Routing ADs would like you to give  
comments in  a 2 week WG LC. Please send all comments on this draft  
by May 16, 2008.

In particular I want to call to your attention on LSP origination  
trigger mechanisms (which are stated outside the scope of the draft).  
It appears to be unclear what happens during a link flap with an  
interesting number of tunnels traversing that link. Will it trigger  
LSP flooding to advert/update the TE-LSP-count subtlv? Will this  
scenario cause a storm? RFC 3784 states with respect to sub-TLV 11:

" For stability reasons, rapid changes in the values in this sub-TLV
    SHOULD NOT cause rapid generation of LSPs."

How should this be addressed? What should the ISIS WG state as a  
general policy for other WGs to put in their docs as we have run into  
this issue several times in the last few years?

Many thanks.

-DWard, Chopps

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/isis-wg

---

From: David Ward <[email-masked]>
Date: Fri, 9 May 2008 08:15:51 -0500

Hannes -

I agree. In the past there have been statements in drafts about the  
need to pace origination and it's overall impact. How often, what  
pacing algorithm are often not in scope of the spec in hand.

-DWard

On May 9, 2008, at 2:09 AM, Hannes Gredler wrote:

> hi david, et al,
>
> i do think that LSP origination triggers, and actual LSP origination
> are two seperate things. Any sensible link-state protocol  
> implementation
> should make sure to not issue more than one self-originated
> LSPs in N (e.g. 10) seconds.
>
> This is very similar to SPF triggering and actual SPF calculation.
> Not every single trigger causes an immediate calculation.
>
> So as far as standardization is concerned, i do not think that we  
> should
> worry as long as the spec-authors keep in mind that self-originated
> LSPs will be paced at a sensible rate.
>
> /hannes
>
> On Fri, May 02, 2008 at 11:04:11AM -0500, David Ward wrote:
> |    All -
> |
> |    Many apologies for getting this draft to you late for review  
> but, it
> |    is in IETF LC:
> |
> |    [1]http://tools.ietf.org/html/draft-ietf-mpls-number-0-bw-te- 
> lsps-09
> |
> |    They authors, MPLS WG chairs and Routing ADs would like you to  
> give
> |    comments in  a 2 week WG LC. Please send all comments on this  
> draft by
> |    May 16, 2008.
> |
> |    In particular I want to call to your attention on LSP origination
> |    trigger mechanisms (which are stated outside the scope of the  
> draft).
> |    It appears to be unclear what happens during a link flap with an
> |    interesting number of tunnels traversing that link. Will it  
> trigger
> |    LSP flooding to advert/update the TE-LSP-count subtlv? Will this
> |    scenario cause a storm? RFC 3784 states with respect to sub- 
> TLV 11:
> |
> |    " For stability reasons, rapid changes in the values in this  
> sub-TLV
> |
> |       SHOULD NOT cause rapid generation of LSPs."
> |
> |    How should this be addressed? What should the ISIS WG state as a
> |    general policy for other WGs to put in their docs as we have  
> run into
> |    this issue several times in the last few years?
> |
> |    Many thanks.
> |
> |    -DWard, Chopps
> |
> | References
> |
> |    1. http://tools.ietf.org/html/draft-ietf-mpls-number-0-bw-te- 
> lsps-09
>
> | _______________________________________________
> | Isis-wg mailing list
> | [email-masked]
> | https://www.ietf.org/mailman/listinfo/isis-wg
>